# PSF-LoginServer - master - net.psforever.objects.serverobject.turret.TurretDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.turret.TurretDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.turret.TurretDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package turret
  Definition Classes
    serverobject
- FacilityTurret
- FacilityTurretControl
- FacilityTurretDefinition
- TurretAmmoBox
- TurretDefinition
- TurretUpgrade
- TurretWeapon
- WeaponTurret
- WeaponTurrets

t

net.psforever.objects.serverobject.turret

# TurretDefinition

###

#### trait TurretDefinition extends MountableWeaponsDefinition with ResistanceProfileMutators with DamageResistanceModel

The definition for any `MannedTurret`.

Self Type
  TurretDefinition with ObjectDefinition
Source
  TurretDefinition.scala

Linear Supertypes
DamageResistanceModel, DamageAndResistance, ResistanceProfileMutators, ResistanceProfile, MountableWeaponsDefinition, MountableDefinition, MountedWeaponsDefinition, AnyRef, Any
Known Subclasses
TurretDeployableDefinition, FacilityTurretDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretDefinition
2. DamageResistanceModel
3. DamageAndResistance
4. ResistanceProfileMutators
5. ResistanceProfile
6. MountableWeaponsDefinition
7. MountableDefinition
8. MountedWeaponsDefinition
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageUsing: Selector
   Definition Classes
     DamageResistanceModel → DamageAndResistance
5.  def DamageUsing_=(selector: Selector): Selector
   Definition Classes
     DamageResistanceModel
6.  def FactionLocked: Boolean
7.  def FactionLocked_=(ownable: Boolean): Boolean
8.  def Model: Form
   Definition Classes
     DamageResistanceModel → DamageAndResistance
9.  def Model_=(selector: Form): Form
   Definition Classes
     DamageResistanceModel
10.  def MountPoints: HashMap[Int, MountInfo]
    Definition Classes
      MountableDefinition
11.  def RadiationShielding: Float
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
12.  def RadiationShielding_=(resist: Float): Float
    Definition Classes
      ResistanceProfileMutators
13.  def ReserveAmmunition: Boolean
14.  def ReserveAmmunition_=(reserved: Boolean): Boolean
15.  def Resist(dtype: vital.base.DamageType.Value): Float
    Definition Classes
      ResistanceProfile
16.  def ResistUsing: ResistanceSelection
    Definition Classes
      DamageResistanceModel → DamageAndResistance
17.  def ResistUsing_=(selector: ResistanceSelection): ResistanceSelection
    Definition Classes
      DamageResistanceModel
18.  def ResistanceAggravated: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
19.  def ResistanceAggravated_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
20.  def ResistanceDirectHit: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
21.  def ResistanceDirectHit_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
22.  def ResistanceSplash: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
23.  def ResistanceSplash_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
24.  def Seats: HashMap[Int, SeatDefinition]
    Definition Classes
      MountableDefinition
25.  def Subtract: DamageProfile
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
26.  def WeaponPaths: HashMap[Int, HashMap[TurretUpgrade.Value, ToolDefinition]]
27.  def Weapons: HashMap[Int, ToolDefinition]
    Definition Classes
      MountedWeaponsDefinition
28.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
29.  def calculate(data: DamageInteraction, resolution: vital.base.DamageType.Value): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    resolution

      an explicit damage resolution overriding the one provided

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
30.  def calculate(data: DamageInteraction): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
31.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
32.  val controlledWeapons: HashMap[Int, Int]
    Definition Classes
      MountableWeaponsDefinition
33.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
35.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
36.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
37.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
38.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
47.  val weapons: HashMap[Int, ToolDefinition]
    Attributes
      protected
    Definition Classes
      MountedWeaponsDefinition

### Inherited from DamageResistanceModel

### Inherited from DamageAndResistance

### Inherited from ResistanceProfileMutators

### Inherited from ResistanceProfile

### Inherited from MountableWeaponsDefinition

### Inherited from MountableDefinition

### Inherited from MountedWeaponsDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped